from time import sleep
from datetime import datetime, timezone
from pyjuni.robodog import *
from pyjuni.deflib import *
from 시간 import *
from 음악 import *
from 인사 import *
from 몸짓 import *
from 파도타기 import *
from 헤드LED메세지 import *

def body_shake(dogs, what, action, delay):
    for t in range(len(delay)):
        for n in range(len(action)):
            multi_leg(dogs, what, height=action[n], step=0, height_speed=70, step_speed=100)
            sleep(delay[t])

def leg_shake(dogs, action, delay):
        multi_leg(dogs, LEFT_FRONT, height=60, step=action[0], height_speed=100, step_speed=100)
        multi_leg(dogs, RIGHT_FRONT, height=60, step=action[1], height_speed=100, step_speed=100)
        sleep(delay)

if __name__ == "__main__":
    robodogs = RoboDogMultiOpen(None)
    
    sleep(0.5)
    set_start_time()
    음악(r'music1.mp3', start_time=0)
    ledPrint(robodogs, b'Hello Friends!!')
    인사(robodogs)
    
    
    multi_leg(robodogs, ALL_LEG, height=60, step=0, height_speed=100, step_speed=100)
    wait_until(6)
    for n in range(len(robodogs)):
        robodogs[n].headLEDExp(13)


    body_shake(robodogs, LEFT_LEG, [30, 60], [0.5, 0.25, 0.25])
    body_shake(robodogs, RIGHT_LEG, [30, 60], [0.5, 0.25, 0.25])
    body_shake(robodogs, FRONT_LEG, [30, 60], [0.5, 0.25, 0.25])
    body_shake(robodogs, ALL_LEG, [30, 60], [0.5, 0.25, 0.25])

    for n in range(3):
        leg_shake(robodogs, [30, -30], 0.25)  
        leg_shake(robodogs, [-30, 30], 0.25)
        leg_shake(robodogs, [30, -30], 0.5)  
        #leg_shake(robodogs, [-30, 30], 0.5)
        multi_leg(robodogs, ALL_LEG, height=40, step=0, height_speed=100, step_speed=100)
        sleep(0.25)
        multi_leg(robodogs, ALL_LEG, height=60, step=0, height_speed=100, step_speed=100)
        sleep(0.25)
        multi_leg(robodogs, ALL_LEG, height=40, step=0, height_speed=100, step_speed=100)
        sleep(0.25)
        multi_leg(robodogs, ALL_LEG, height=60, step=0, height_speed=100, step_speed=100)
        sleep(0.25)

    multi_rotate(robodogs, degree=0)
    wait_until(22)

    for n in range(2):
        몸짓(robodogs, [-90, -270], 1.5)
        multi_leg(robodogs, ALL_LEG, height=60, step=0, height_speed=70, step_speed=70)
        wait_until(22+n*4+2)
        몸짓(robodogs, [-270, -90], 1.5)
        multi_leg(robodogs, ALL_LEG, height=60, step=0, height_speed=70, step_speed=70)
        wait_until(22+n*4+4)

    multi_rotate(robodogs, degree=0)
    wait_until(31)

    파도타기(robodogs, loop=1, high=60, low=30, duration=2.5)
    wait_until(34)
    파도타기(robodogs, loop=1, high=60, low=30, duration=2.5)
    wait_until(37)

    for n in range(len(robodogs)):
        robodogs[n].gesture(0)

    sleep(1)
    RoboDogMultiClose(robodogs)


